Cannot run Open Systems Utility (OSU) after upgrading to V11.3 (CU3)

Date:28 July 2006
Product/Release:LANSA for the Web V11.3
Abstract:LANSA Version Number changes to V11.3 when upgrading to CU3, however the OSU is still on V11.0 (unless you upgrade via CD)
Submitted By:LANSA Technical Support

Description:

It has been brought to our attention that the EPC771/CU3 documentation is incorrect for the Open System Utilities. The documentation does not state that if you upgrade LANSA to V11.3 without upgrading OSU, attempting to run any of the utilities will result in the message: "OSU0006 : The current version of this LANSA System is not compatible with the Open System Utilities..."

Cause:

When EPC771/CU3 is applied, the LANSA version number is changed from V11.0 to V11.3. The problem occurs because the OSU is not updated when you upgrade LANSA using the EPC (it will still be on V11.0). The LANSA system version number and the Open System Utilities version number must match, therefore OSU must be upgraded as well. This is checked when an attempt is made to run OSU.

Solution:

There are 3 separate scenario's that could occur when you are upgrading to CU3:

  1. If you will be upgrading your LANSA system from V10.0 to V11.3, you will be using the LANSA iSeries V11.3 CDs. Choose to update OSU using the option from the Upgrade menu.
     
  2. If you will be updating your LANSA system from any V11.0 level to V11.3, you will be using either the CU3 Update CD or a download. Both of these updates are supported by the document EPC771.htm. It is EPC771.htm that contains incorrect information under the heading "Special Instructions for users of iSeries LANSA Open System Utility (OSU)". If you are planning to update to V11.3 and you are currently using OSU:
    1. disregard the instructions "Special Instructions for users of iSeries LANSA Open System Utility (OSU)"
    2. contact your LANSA vendor to obtain a copy of LANSA iSeries V11.3 CDs
    3. with the LANSA iSeries V11.3 CDs, update OSU using the option from the Upgrade menu. (refer to LANSA install/Upgrade documentation for details)
       
  3. If you have already upgraded LANSA to V11.3 without upgrading OSU, attempting to run any of the utilities will result in the message: "OSU0006 : The current version of this LANSA System is not compatible with the Open System Utilities..."

    To resolve the incompatibility you must use the V11.3 LANSA CD to upgrade the OSU (refer to LANSA install/Upgrade documentation for details)

Please contact your local support office for further information or to request the appropriate CDs required for your upgrade.